# Grid Discretization Helper Copyright (c) 2016, The Regents of the University
# of California, through Lawrence Berkeley National Laboratory (subject to
# receipt of any required approvals from the U.S. Dept. of Energy).  All rights
# reserved.
#
# If you have questions about your rights to use or distribute this software,
# please contact Berkeley Lab's Innovation & Partnerships Office at:
# IPO@lbl.gov.
#
# NOTICE.  This Software was developed under funding from the U.S. Department
# of Energy and the U.S. Government consequently retains certain rights. As
# such, the U.S. Government has been granted for itself and others acting on
# its behalf a paid-up, non-exclusive, irrevocable, worldwide license in the
# Software to reproduce, distribute copies to the public, prepare derivative
# works, and perform publicly and display publicly, and to permit others to do
# so.

cimport numpy
cimport unit
cimport volume
cdef class Grid:
    cdef public char* name
    cdef public unit_classes, field_names, coordinate_order, coordinates_list, index_bounds, unit_with_number, output_fields, finalized, field, time_dependent, oldest_field, unit_set_with_name, field_number_with_name
    cdef public numpy.ndarray unit_number_with_index, unit_with_index, candidate_field
    cdef public int field_count, dimension_count, unit_count, past_solution_count
